package com.jago.mambu.service.mambu.enums

enum class PrepaymentRecalculationMethod {
    NO_RECALCULATION,
    RESCHEDULE_REMAINING_REPAYMENTS,
    RECALCULATE_SCHEDULE_KEEP_SAME_NUMBER_OF_TERMS,
    RECALCULATE_SCHEDULE_KEEP_SAME_PRINCIPAL_AMOUNT,
    RECALCULATE_SCHEDULE_KEEP_SAME_TOTAL_REPAYMENT_AMOUNT,
    REDUCE_AMOUNT_PER_INSTALLMENT,
    REDUCE_NUMBER_OF_INSTALLMENTS,
    REDUCE_NUMBER_OF_INSTALLMENTS_NEW,
}